Account
Endpoints for accessing your profile, tracked channels, and API usage statistics.
Endpoints
| Method | Path | Description |
|---|---|---|
| GET | /api/v1/me |
Get your profile |
| GET | /api/v1/me/channels |
List your tracked channels |
| GET | /api/v1/me/usage |
Get your current usage stats |
Get Profile
GET /api/v1/me
Get your account profile information.
Example Request
curl -X GET "https://tuberalytics.com/api/v1/me" \
-H "Authorization: Bearer sk_live_your_api_key"
import requests
response = requests.get(
"https://tuberalytics.com/api/v1/me",
headers={"Authorization": "Bearer sk_live_your_api_key"}
)
data = response.json()
require "net/http"
require "json"
uri = URI("https://tuberalytics.com/api/v1/me")
req = Net::HTTP::Get.new(uri)
req["Authorization"] = "Bearer sk_live_your_api_key"
res = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) { |http| http.request(req) }
data = JSON.parse(res.body)
const response = await fetch("https://tuberalytics.com/api/v1/me", {
headers: { "Authorization": "Bearer sk_live_your_api_key" }
});
const data = await response.json();
$ch = curl_init("https://tuberalytics.com/api/v1/me");
curl_setopt($ch, CURLOPT_HTTPHEADER, ["Authorization: Bearer sk_live_your_api_key"]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
$data = json_decode($response, true);
Example Response
{
"data": {
"id": 1,
"email": "rick@example.com",
"name": "Rick",
"plan_tier": "pro",
"created_at": "2026-01-01T00:00:00Z"
}
}
List Tracked Channels
GET /api/v1/me/channels
Get the list of YouTube channels you are tracking.
Example Request
curl -X GET "https://tuberalytics.com/api/v1/me/channels" \
-H "Authorization: Bearer sk_live_your_api_key"
import requests
response = requests.get(
"https://tuberalytics.com/api/v1/me/channels",
headers={"Authorization": "Bearer sk_live_your_api_key"}
)
data = response.json()
require "net/http"
require "json"
uri = URI("https://tuberalytics.com/api/v1/me/channels")
req = Net::HTTP::Get.new(uri)
req["Authorization"] = "Bearer sk_live_your_api_key"
res = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) { |http| http.request(req) }
data = JSON.parse(res.body)
const response = await fetch("https://tuberalytics.com/api/v1/me/channels", {
headers: { "Authorization": "Bearer sk_live_your_api_key" }
});
const data = await response.json();
$ch = curl_init("https://tuberalytics.com/api/v1/me/channels");
curl_setopt($ch, CURLOPT_HTTPHEADER, ["Authorization: Bearer sk_live_your_api_key"]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
$data = json_decode($response, true);
Example Response
{
"data": [
{
"id": 170,
"youtube_channel_id": "UCbo-KbSjJDG6JWQ_MTZ_rNA",
"title": "Nick Saraev",
"handle": "@nicksaraev",
"subscriber_count": 336000,
"average_views": 42598,
"quality_classification": "rising",
"has_skool": true
}
]
}
Get Usage Stats
GET /api/v1/me/usage
Get your current API usage for the billing period, including remaining quotas for each action type.
Example Request
curl -X GET "https://tuberalytics.com/api/v1/me/usage" \
-H "Authorization: Bearer sk_live_your_api_key"
import requests
response = requests.get(
"https://tuberalytics.com/api/v1/me/usage",
headers={"Authorization": "Bearer sk_live_your_api_key"}
)
data = response.json()
require "net/http"
require "json"
uri = URI("https://tuberalytics.com/api/v1/me/usage")
req = Net::HTTP::Get.new(uri)
req["Authorization"] = "Bearer sk_live_your_api_key"
res = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) { |http| http.request(req) }
data = JSON.parse(res.body)
const response = await fetch("https://tuberalytics.com/api/v1/me/usage", {
headers: { "Authorization": "Bearer sk_live_your_api_key" }
});
const data = await response.json();
$ch = curl_init("https://tuberalytics.com/api/v1/me/usage");
curl_setopt($ch, CURLOPT_HTTPHEADER, ["Authorization: Bearer sk_live_your_api_key"]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
$data = json_decode($response, true);
Example Response
{
"data": {
"tier": "pro",
"period_start": "2026-03-01T00:00:00Z",
"period_end": "2026-03-31T23:59:59Z",
"usage": {
"channel_analysis": { "current": 5, "limit": 40 },
"competitor_search": { "current": 2, "limit": 10 },
"keyword_generation": { "current": 3, "limit": 20 },
"niche_creation": { "current": 1, "limit": 5 },
"channels": { "current": 2, "limit": 10 }
}
}
}
The
usageobject shows current usage vs. the monthly limit for each action type. See Usage Limits for tier details.